Summary: Library for reading lines from a terminal
Name: readline
Version: 4.0
Release: 1
Group: Libraries
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.


%package devel
Summary: file for developing programs that use the readline library
Group: Development/Libraries
Requires: readline = %{version}

%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s MAKEINFO="makeinfo --no-split" \
	./configure --prefix=/usr
make static shared


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install install-shared
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

# Strip shared objects, fix permissions and symbolic links
(
	cd $RPM_BUILD_ROOT/usr/lib
	strip lib*.so.*
	chmod 755 lib*.so.*
	ln -sf libhistory.so.4.0  libhistory.so.4
	ln -sf libhistory.so.4.0  libhistory.so
	ln -sf libreadline.so.4.0 libreadline.so.4
	ln -sf libreadline.so.4.0 libreadline.so
)

# Prepare %doc files
mv doc doc0
mkdir doc
mv doc0/*.{dvi,ps,html} doc
gzip -9f doc/*.ps


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/history.info.gz  /usr/info/dir
/sbin/install-info /usr/info/readline.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/history.info.gz  /usr/info/dir
    /sbin/install-info --delete /usr/info/readline.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%doc CHANGELOG CHANGES COPYING INSTALL MANIFEST README doc examples
/usr/include/readline
/usr/info/*.info.gz
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/man/man*/*

 
%clean
rm -rf $RPM_BUILD_ROOT
